org.apache.commons.math3.optimization

## Class AbstractConvergenceChecker<PAIR>

- java.lang.Object
- - org.apache.commons.math3.optimization.AbstractConvergenceChecker<PAIR>

- Type Parameters:
    `PAIR` - Type of (point, value) pair.
  All Implemented Interfaces:
    ConvergenceChecker<PAIR>
  Direct Known Subclasses:
    SimplePointChecker, SimpleUnivariateValueChecker, SimpleValueChecker, SimpleVectorValueChecker

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public abstract class AbstractConvergenceChecker<PAIR>
      extends Object
      implements ConvergenceChecker<PAIR>

  Base class for all convergence checker implementations.
  Since:
    3.0
  Version:
    $Id: AbstractConvergenceChecker.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `absoluteThreshold` Deprecated. Absolute tolerance threshold.
    `private static double` | `DEFAULT_ABSOLUTE_THRESHOLD` Deprecated. in 3.1 (to be removed in 4.0) because this value is too small to be useful as a default (cf. MATH-798).
    `private static double` | `DEFAULT_RELATIVE_THRESHOLD` Deprecated. in 3.1 (to be removed in 4.0) because this value is too small to be useful as a default (cf. MATH-798).
    `private double` | `relativeThreshold` Deprecated. Relative tolerance threshold.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConvergenceChecker()` Deprecated. in 3.1 (to be removed in 4.0). Convergence thresholds are problem-dependent. As this class is intended for users who want to set their own convergence criterion instead of relying on an algorithm's default procedure, they should also set the thresholds appropriately (cf. MATH-798).
    `AbstractConvergenceChecker(double relativeThreshold, double absoluteThreshold)` Deprecated. Build an instance with a specified thresholds.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `converged(int iteration, PAIR previous, PAIR current)` Deprecated. Check if the optimization algorithm has converged.
    `double` | `getAbsoluteThreshold()` Deprecated.
    `double` | `getRelativeThreshold()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_RELATIVE_THRESHOLD

          @Deprecated
          private static final double DEFAULT_RELATIVE_THRESHOLD

      Deprecated. in 3.1 (to be removed in 4.0) because this value is too small to be useful as a default (cf. MATH-798).
      Default relative threshold.

    - #### DEFAULT_ABSOLUTE_THRESHOLD

          @Deprecated
          private static final double DEFAULT_ABSOLUTE_THRESHOLD

      Deprecated. in 3.1 (to be removed in 4.0) because this value is too small to be useful as a default (cf. MATH-798).
      Default absolute threshold.

    - #### relativeThreshold

          private final double relativeThreshold

      Deprecated.
      Relative tolerance threshold.

    - #### absoluteThreshold

          private final double absoluteThreshold

      Deprecated.
      Absolute tolerance threshold.

  - ### Constructor Detail

    - #### AbstractConvergenceChecker

          @Deprecated
          public AbstractConvergenceChecker()

      Deprecated. in 3.1 (to be removed in 4.0). Convergence thresholds are problem-dependent. As this class is intended for users who want to set their own convergence criterion instead of relying on an algorithm's default procedure, they should also set the thresholds appropriately (cf. MATH-798).
      Build an instance with default thresholds.

    - #### AbstractConvergenceChecker

          public AbstractConvergenceChecker(double relativeThreshold,
                                    double absoluteThreshold)

      Deprecated.
      Build an instance with a specified thresholds.
      Parameters:
        `relativeThreshold` - relative tolerance threshold
        `absoluteThreshold` - absolute tolerance threshold

  - ### Method Detail

    - #### getRelativeThreshold

          public double getRelativeThreshold()

      Deprecated.
      Returns:
        the relative threshold.

    - #### getAbsoluteThreshold

          public double getAbsoluteThreshold()

      Deprecated.
      Returns:
        the absolute threshold.

    - #### converged

          public abstract boolean converged(int iteration,
                          PAIR previous,
                          PAIR current)

      Deprecated.
      Check if the optimization algorithm has converged.
      Specified by:
        `converged` in interface `ConvergenceChecker<PAIR>`
      Parameters:
        `iteration` - Current iteration.
        `previous` - Best point in the previous iteration.
        `current` - Best point in the current iteration.
      Returns:
        `true` if the algorithm is considered to have converged.

Copyright (c) 2003-2013 Apache Software Foundation